Kampaniyalar
GET https://push.yayim.org/api/campaigns/
curl --request GET \
--url 'https://push.yayim.org/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.yayim.org/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Mətn | Axtarış mətni. |
| search_by | İstəyə bağlı Mətn | Hansı sahədə axtarış aparılacaq. İcazəli dəyərlər: name, title, description, url. |
| status | İstəyə bağlı Mətn | İcazəli dəyərlər: draft, scheduled, processing, sent |
| website_id | İstəyə bağlı Tam ədəd | |
| datetime_field | İstəyə bağlı Mətn | İcazəli dəyərlər: datetime, scheduled_datetime, last_sent_datetime, last_datetime |
| datetime_start | İstəyə bağlı Mətn | Bu tarix və vaxtdan başlayaraq nəticələri süzün. Format: Y-m-d H:i:s. |
| datetime_end | İstəyə bağlı Mətn | Bu tarix və vaxta qədər nəticələri süzün. Format: Y-m-d H:i:s. |
| order_by | İstəyə bağlı Mətn | Nəticələrin hansı sahəyə görə sıralanacağı. İcazəli dəyərlər: campaign_id, datetime, last_datetime, scheduled_datetime, last_sent_datetime, name, title, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | İstəyə bağlı Mətn | Sıralama qaydası: artan sıra üçün ASC, azalan sıra üçün DESC. |
| page | İstəyə bağlı Tam ədəd | Nəticələri almaq istədiyiniz səhifə nömrəsi. Standart dəyər 1. |
| results_per_page | İstəyə bağlı Tam ədəd | Bir səhifədə istədiyiniz nəticə sayı. İcazəli dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Standart dəyər: 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_automation_id": 1,
"recurring_campaign_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": [],
"subscribers_ids": [],
"sent_subscribers_ids": [],
"total_push_notifications": 1,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"status": 1,
"scheduled_datetime": "2026-11-21 21:50:26",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-11-21 21:50:26"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://push.yayim.org/api/campaigns?page=1",
"last": "https://push.yayim.org/api/campaigns?page=1",
"next": null,
"prev": null,
"self": "https://push.yayim.org/api/campaigns?page=1"
}
}
GET https://push.yayim.org/api/campaigns/{campaign_id}
curl --request GET \
--url 'https://push.yayim.org/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.yayim.org/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_automation_id": 1,
"recurring_campaign_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": [],
"subscribers_ids": [],
"sent_subscribers_ids": [],
"total_push_notifications": 1,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"status": 1,
"scheduled_datetime": "2026-11-21 21:50:26",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-11-21 21:50:26"
}
}
POST https://push.yayim.org/api/campaigns
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| website_id | Məcburi Tam ədəd | - |
| name | Məcburi Mətn | - |
| title | Məcburi Mətn | - |
| description | Məcburi Mətn | - |
| url | İstəyə bağlı Mətn | - |
| image | İstəyə bağlı Fayl | - |
| button_title_1 | İstəyə bağlı Mətn | - |
| button_url_1 | İstəyə bağlı Mətn | - |
| button_title_2 | İstəyə bağlı Mətn | - |
| button_url_2 | İstəyə bağlı Mətn | - |
| is_scheduled | İstəyə bağlı Məntiqi dəyər | - |
| scheduled_datetime | İstəyə bağlı Mətn | - |
| is_silent | İstəyə bağlı Məntiqi dəyər | - |
| is_auto_hide | İstəyə bağlı Məntiqi dəyər | - |
| ttl | İstəyə bağlı Mətn | İcazəli dəyərlər: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| segment | İstəyə bağlı Mətn | İcazəli dəyərlər: all, custom, filter, INT segment_id |
| subscribers_ids | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = custom |
| filters_custom_parameter_key[index] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_custom_parameter_condition[index] | İstəyə bağlı Mətn |
İcazəli dəyərlər: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than Bu halda mövcuddur: segment = filter |
| filters_custom_parameter_value[index] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_last_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_last_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_last_seen_online_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_last_sent_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_subscribed_on_url | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_cities | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_countries[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_continents[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_device_type[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_languages[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_operating_systems[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_browsers[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| utm_source | İstəyə bağlı Mətn | - |
| utm_medium | İstəyə bağlı Mətn | - |
| utm_campaign | İstəyə bağlı Mətn | - |
| save | İstəyə bağlı Məntiqi dəyər | Qaralamanı saxla |
| send | İstəyə bağlı Məntiqi dəyər | Kampaniyanı göndər |
| filters_countries | İstəyə bağlı Massiv | - |
| filters_continents | İstəyə bağlı Massiv | - |
| filters_device_type | İstəyə bağlı Massiv | - |
| filters_languages | İstəyə bağlı Massiv | - |
| filters_operating_systems | İstəyə bağlı Massiv | - |
| filters_browsers | İstəyə bağlı Massiv | - |
| urgency | İstəyə bağlı Tam ədəd | - |
curl --request POST \
--url 'https://push.yayim.org/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://push.yayim.org/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_automation_id": null,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": {},
"subscribers_ids": [],
"sent_subscribers_ids": [],
"total_push_notifications": 1,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"status": 1,
"scheduled_datetime": "2026-11-21 21:50:26",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-11-21 21:50:26"
}
}
POST https://push.yayim.org/api/campaigns/{campaign_id}
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| website_id | İstəyə bağlı Tam ədəd | - |
| name | İstəyə bağlı Mətn | - |
| title | İstəyə bağlı Mətn | - |
| description | İstəyə bağlı Mətn | - |
| url | İstəyə bağlı Mətn | - |
| image | İstəyə bağlı Fayl | - |
| button_title_1 | İstəyə bağlı Mətn | - |
| button_url_1 | İstəyə bağlı Mətn | - |
| button_title_2 | İstəyə bağlı Mətn | - |
| button_url_2 | İstəyə bağlı Mətn | - |
| is_scheduled | İstəyə bağlı Məntiqi dəyər | - |
| scheduled_datetime | İstəyə bağlı Mətn | - |
| is_silent | İstəyə bağlı Məntiqi dəyər | - |
| is_auto_hide | İstəyə bağlı Məntiqi dəyər | - |
| ttl | İstəyə bağlı Mətn | İcazəli dəyərlər: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| segment | İstəyə bağlı Mətn | İcazəli dəyərlər: all, custom, filter, INT segment_id |
| subscribers_ids | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = custom |
| filters_custom_parameter_key[index] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_custom_parameter_condition[index] | İstəyə bağlı Mətn |
İcazəli dəyərlər: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than Bu halda mövcuddur: segment = filter |
| filters_custom_parameter_value[index] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_last_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_last_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_last_seen_online_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_last_sent_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_subscribed_on_url | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_cities | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_countries[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_continents[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_device_type[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_languages[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_operating_systems[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_browsers[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| utm_source | İstəyə bağlı Mətn | - |
| utm_medium | İstəyə bağlı Mətn | - |
| utm_campaign | İstəyə bağlı Mətn | - |
| save | İstəyə bağlı Məntiqi dəyər | Qaralamanı saxla |
| send | İstəyə bağlı Məntiqi dəyər | Kampaniyanı göndər |
| filters_countries | İstəyə bağlı Massiv | - |
| filters_continents | İstəyə bağlı Massiv | - |
| filters_device_type | İstəyə bağlı Massiv | - |
| filters_languages | İstəyə bağlı Massiv | - |
| filters_operating_systems | İstəyə bağlı Massiv | - |
| filters_browsers | İstəyə bağlı Massiv | - |
| urgency | İstəyə bağlı Tam ədəd | - |
curl --request POST \
--url 'https://push.yayim.org/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://push.yayim.org/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_automation_id": null,
"recurring_campaign_id": null,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": {},
"subscribers_ids": [],
"sent_subscribers_ids": [],
"total_push_notifications": 1,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"status": 1,
"scheduled_datetime": "2026-11-21 21:50:26",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-11-21 21:50:26"
}
}
DELETE https://push.yayim.org/api/campaigns/{campaign_id}
curl --request DELETE \
--url 'https://push.yayim.org/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.yayim.org/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \